Page MenuHomeFreeBSD

Remove mkcsmapper_static and mkesdb_static from build-tools
ClosedPublic

Authored by arichardson on Jan 15 2021, 6:12 PM.

Details

Summary

Build them as part of the bootstrap-tools phase instead.

Test Plan

buildworld+installworld succeeds for me. Not sure what do with with mkesd_static/mkcsmapper_static references in Makefile.depend.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

share/i18n/esdb/Makefile.inc
8

The other option would be to just assume that $PATH has the right binary first.

bdrewery added inline comments.
share/i18n/csmapper/Makefile.inc
6

Please don't hardcode buildworld paths into child Makefiles. There is a SYSROOT var you can use instead but that would still be wrong for the dirdeps build which wants STAGE_HOST_OBJTOP since this is not a target binary but a host binary.

6–9

This breaks the dirdeps build.

usr.bin/mkcsmapper_static/Makefile
1–17 ↗(On Diff #82621)

I wonder why someone bothered to split these tools into a dynamic and static version. I suggest we understand that before this proceeds.

This revision now requires changes to proceed.Jan 21 2021, 5:49 PM

Will update to just assume the tool is in $PATH to avoid hardcoded paths.

share/i18n/csmapper/Makefile.inc
6

Since it's a bootstrap-tool now instead of a build tool we could just assume that it's in $PATH. Would that work for dirdeps/meta_mode?

usr.bin/mkcsmapper_static/Makefile
1–17 ↗(On Diff #82621)

My guess would be that that was the easiest way to get things to work since the host libc didn't contain the required symbols at the time. The commit logs for R10:ad30f8e79bd1007cc2476e491bd21b4f5e389e0a don't seem to explain it.

@delphij Do you recall why these separate _static version were originally added?

This revision was not accepted when it landed; it landed in state Needs Review.Aug 2 2021, 1:35 PM
This revision was automatically updated to reflect the committed changes.